# Entities Service

Query and manipulate the Netz39 entities database.

## Running the Service

### Configuration

The service is configured via the following environment variables:
* `PORT`: Service port. defaults to 8080
* `AUTH`: Authentication tokens, defaults to None. Example Configuration : `AUTH={"token_1": "user_1", "token_2": "user_2"}`
* `GIT_ORIGIN`: URL for the origin Git repository, including the user name
* `GIT_PASSWORD`: The git password for the user encoded in the origin URL
* `GIT_PULL_INTV`: Time interval between automated pull operations (default: 30s)
* `GIT_WC_PATH`: Set a path for the working copy. Will create a temporary checkout if not provided.
